%global dlrn_nvr tripleo-puppet-elements-11.3.2.dev4-2.20220622015021.9f64588
%global dlrn 1
%define upstream_version 11.3.2.dev4
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version: 11.3.2
Release: 2.20220622015022.9f64588%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-puppet-elements-11.3.2.dev4-2.20220622015021.9f64588.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9f64588ba06842f6478c4fc43f0ec1970806fa67
Patch0001: 0001-Move-tuned_profiles_cpu_partitioning-dependency-in-o.patch

BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%patch0001 -p1

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.rst
%{pyver_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Thu Nov 03 2022 Lon Hohberger <lhh@redhat.com> 11.3.2-2.20220622015022.9f64588
- Move tuned_profiles_cpu_partitioning dependency in overcloud-base (rhbz#2138203)

* Tue Jun 21 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220622015021.9f64588
- Update patches

* Tue Jun 21 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220622004851.9f64588
- Update patches
- Add sbd and fence-agents-sbd to the list of fence agents

* Thu Jun 09 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220609074841.a0edac0
- Add sbd and fence-agents-sbd to the list of fence agents (rhbz#2081357)

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220514010348.a0edac0
- Update patches
- Add fence-agents-compute to the list of installed rpms

* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220401014440.14e13ef
- Update patches
- Disable auto discovery

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 11.3.2-2.20220223205237.d756ba5
- Update patches
- Only install required/supported fence agents

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-2.20210607234810.9d10d8e
- Update patches

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.1-2.20210528114722.9d10d8e
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- overcloud-compute:  add linuxptp package for timemaster service

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 11.2.2-1
- Update patches
- Check that etc/resolv.conf.ORIG exists before edit
- Up pbr requirements - failing openstack-tox

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.2.2-1
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Add sysstat package to collect sar data by default

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- [train-only] Nullify podman-docker for CentOS/RHEL8 overcloud images

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Remove centos7 RT repo from centos8 builds

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- overcloud-compute: add ndctl package to manage NVDIMMs

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Fix permissions on 51-enable-network-service

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Remove libvirt package

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Disable yum-plugin-priorities elements for CentOS8

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Revert "Remove libvirt package" due to https://bugs.launchpad.net/tripleo/+bug/1860971 and planning a backport later

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches
- Remove libvirt package

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.2.1-1
- Update patches

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- RHEL8: Use podman-docker

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- Use chkconfig

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.2.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Sep 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add proper permissions on script


